# std::system_error::code

From cppreference.com
< cpp‎ | error‎ | system error

const std::error_code& code() const; |  | (since C++11)

Returns the stored error code.

### Parameters

(none)

### Return value

The stored error code.

### Exceptions

`noexcept` specification:
noexcept

### See also

what [virtual] | returns explanatory string (virtual public member function)

Retrieved from "http://en.cppreference.com/mwiki/index.php?title=cpp/error/system_error/code&oldid=91805"
Category:

- unconditionally noexcept

Hidden categories:

- Pages with unreviewed unconditional noexcept template
- Pages with unreviewed noexcept template